/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT (C) Microsoft Corporation, 1989                                 */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/**************************************************************************
 *
 * SOURCE FILE NAME = DLGPROC.H
 *
 * DESCRIPTIVE NAME =
 *
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION : External declarations of routines used in dialog code.
 *
 * FUNCTIONS
 *
 * NOTES
 *
 * STRUCTURES
 *
 * EXTERNAL REFERENCES
 *
 * EXTERNAL FUNCTIONS
 *
*/


	BOOL sznIsEqual(PSZ , PSZ);
	void szNewCopy(PSZ,PSZ,SHORT);
	SHORT szDlmCopy(PSZ,PSZ,SHORT);
	BOOL  Openppd(SHORT,PCNFDATA);
	void FillPaperList(HWND,PB *);
	void FillJobList(HWND,PB *);
	void ReadProfile(PB *);
	void WrtQueryProfile(HWND,PB *);
	SHORT DeviceModes(PSZ,PCNFDATA,SHORT);
	SHORT  cvi(PB *);
	void FillPaperNames(PCNFDATA,PSZ);
	void FillEffects(PCNFDATA,PSZ);
	SHORT  b2a(PB ,SHORT);
	SHORT  Fraction2A(PB,SHORT,SHORT);
	SHORT  NameWithSC(PB,PSZ);
	void FillSourceList(HWND,PB *);
	ULONG EXPENTRY SetupProc(HWND,SHORT,MPARAM,MPARAM);
	void  QueryUserForm(PCNFDATA);
	BOOL  ScanCustomset(PSZ,PSZ);
	BOOL  AddToIni (HWND,PSZ ,PSZ,PCNFDATA);
	BOOL  CheckNumeric(HWND,PSZ);
	BOOL  ShowCursor(HWND);
	BOOL  ValidFilename(PSZ);
